List all charging station models
curl --request GET \
--url https://api.lynkwell.com/asset-management/v1/charging-station-models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lynkwell.com/asset-management/v1/charging-station-models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lynkwell.com/asset-management/v1/charging-station-models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"hasMore": true,
"items": [
{
"id": "<string>",
"vendor": "<string>",
"model": "<string>",
"powerType": "AC_1_PHASE",
"connectors": [
{
"id": 123,
"connectionType": "CHADEMO",
"format": "CABLE",
"maxAmperage": 123,
"maxVoltage": 123,
"maxPowerWatts": 123
}
],
"configurationKeys": {
"ocppUrl": "<string>"
},
"isArchived": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"imageUrl": "<string>"
}
]
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Charging Station Models
List all charging station models
This endpoint retrieves a list of all charging station models.
GET
/
asset-management
/
v1
/
charging-station-models
List all charging station models
Authorizations
OAuth2 Client Credentials Flow
Query Parameters
The maximum number of charging station models to return
The ID of the last charging station model to return
The vendor of the charging station models to return
The model of the charging station models to return
Filter by archived status. Defaults to false (only non-archived models).
Response
A list of charging station models
Show child attributes
Show child attributes